# schema_salad.tests.test_errors

Tests of helpful error messages.

## Functions

`test_errors`() |
`test_error_message1`() |
`test_error_message2`() |
`test_error_message3`() |
`test_error_message4`() |
`test_error_message5`() |
`test_error_message7`() |
`test_error_message8`() |
`test_error_message9`() |
`test_error_message10`() |
`test_error_message11`() |
`test_error_message15`() |
`test_errors_previously_defined_dict_key`() |
`test_bad_schema`() |
`test_bad_schema2`() |
`test_namespaces_type`() | Confirm helpful error message when $namespaces is the wrong type.
`test_namespaces_undeclared`(caplog) | Confirm warning message a namespace is used but not declared.
`test_not_a_namespace1`(caplog) | Confirm no warning when relative id contains a colon but prefix doesn't look like a namespace.
`test_not_a_namespace2`(caplog) | Confirm no warning when relative id contains a colon but prefix doesn't look like a namespace.
`test_not_a_namespace3`(caplog) | Confirm no warning when relative id starts with a colon.
`test_schemas_type`() | Confirm helpful error message when $schemas is the wrong type.

## Module Contents

schema_salad.tests.test_errors.test_errors()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message1()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message2()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message3()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message4()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message5()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message7()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message8()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message9()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message10()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message11()
  Return type:

    None

schema_salad.tests.test_errors.test_error_message15()
  Return type:

    None

schema_salad.tests.test_errors.test_errors_previously_defined_dict_key()
  Return type:

    None

schema_salad.tests.test_errors.test_bad_schema()
  Return type:

    None

schema_salad.tests.test_errors.test_bad_schema2()
  Return type:

    None

schema_salad.tests.test_errors.test_namespaces_type()

  Confirm helpful error message when $namespaces is the wrong type.

  Return type:

    None

schema_salad.tests.test_errors.test_namespaces_undeclared(caplog)

  Confirm warning message a namespace is used but not declared.

  Parameters:

    caplog (pytest.LogCaptureFixture)

  Return type:

    None

schema_salad.tests.test_errors.test_not_a_namespace1(caplog)

  Confirm no warning when relative id contains a colon but prefix doesn’t look like a namespace.

  Parameters:

    caplog (pytest.LogCaptureFixture)

  Return type:

    None

schema_salad.tests.test_errors.test_not_a_namespace2(caplog)

  Confirm no warning when relative id contains a colon but prefix doesn’t look like a namespace.

  Parameters:

    caplog (pytest.LogCaptureFixture)

  Return type:

    None

schema_salad.tests.test_errors.test_not_a_namespace3(caplog)

  Confirm no warning when relative id starts with a colon.

  Parameters:

    caplog (pytest.LogCaptureFixture)

  Return type:

    None

schema_salad.tests.test_errors.test_schemas_type()

  Confirm helpful error message when $schemas is the wrong type.

  Return type:

    None